Token
代币 - 安全信息
获取代币安全信息
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
security
代币 - 安全信息
curl --request GET \
--url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/security \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/security"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
"chain": "sol",
"devTokenBurnAmount": "<string>",
"devTokenBurnRatio": "<string>",
"goplus": {
"available": true,
"buyTax": "<string>",
"chainSupported": true,
"holderCount": "<string>",
"isBlacklisted": true,
"isFreezable": true,
"isHoneypot": true,
"isMintable": true,
"isOpenSource": true,
"isProxy": true,
"isRenounced": true,
"lastRefreshedAt": "2026-05-13T10:00:00.000Z",
"lpHolderCount": "<string>",
"ownerAddress": "<string>",
"raw": "<unknown>",
"sellTax": "<string>",
"totalSupply": "<string>"
},
"honeypot": {
"available": true,
"averageTax": "<string>",
"buyTax": "<string>",
"canNotSell": 123,
"canSell": 123,
"chainSupported": true,
"highTax": "<string>",
"honeypotResult": "<string>",
"isHoneypot": true,
"isOpenSource": true,
"isRenounced": true,
"lastRefreshedAt": "2026-05-13T10:00:00.000Z",
"raw": "<unknown>",
"sellTax": "<string>"
},
"isFreezable": true,
"isMintable": true,
"isShowAlert": true,
"lockInfo": {
"isLocked": true,
"leftLockPercent": "<string>",
"lockDetail": "<string>",
"lockPercent": "<string>",
"lockTags": [
"<string>"
]
},
"privileges": [
{
"address": "<string>",
"isRenounced": true,
"name": "<string>"
}
],
"serialized": {
"available": true,
"chainSupported": true,
"isOpenSource": true,
"isProxy": true,
"isRenounced": true,
"isSafe": true,
"lastRefreshedAt": "2026-05-13T10:00:00.000Z",
"launchpadName": "<string>",
"ownerAddress": "<string>",
"raw": "<unknown>",
"sourceType": "<string>",
"vulnCount": 123,
"vulnCriticalCount": 123,
"vulnMitigatedCount": 123
},
"sourcesAvailable": [
"goplus"
]
}授权
bearer_authapi_key_auth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
支持网络列表中的链名称 Supported blockchain chains
可用选项:
sol, eth, bsc 代币地址
响应
200 - application/json
代币安全数据
Token contract address
示例:
"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"
Chain name
示例:
"sol"
Amount of tokens burned by the developer
Ratio of tokens burned by the developer
GoPlus security data
Show child attributes
Show child attributes
Honeypot.is security data
Show child attributes
Show child attributes
Whether the token accounts can be frozen
Whether the token is mintable
Whether to show a security alert badge
Token liquidity lock information
Show child attributes
Show child attributes
Token privilege information
Show child attributes
Show child attributes
Serialized Audit security data
Show child attributes
Show child attributes
Available security data sources
示例:
["goplus"]
此页面对您有帮助吗?
⌘I
代币 - 安全信息

